com.independentsoft.exchange

## Class CategoryList

- java.lang.Object
- - com.independentsoft.exchange.CategoryList

-     public class CategoryList
      extends java.lang.Object

  The Class CategoryList.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CategoryList()` Instantiates a new category list.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Category>` | `getCategories()` Gets the categories.
    `java.lang.String` | `getDefault()` Gets the default.
    `int` | `getLastSavedSession()` Gets the last saved session.
    `java.util.Date` | `getLastSavedTime()` Gets the last saved time.
    `void` | `setDefault(java.lang.String defaultCategory)` Sets the default.
    `void` | `setLastSavedSession(int lastSavedSession)` Sets the last saved session.
    `void` | `setLastSavedTime(java.util.Date lastSavedTime)` Sets the last saved time.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CategoryList

          public CategoryList()

      Instantiates a new category list.

  - ### Method Detail

    - #### getDefault

          public java.lang.String getDefault()

      Gets the default.
      Returns:
        the default

    - #### setDefault

          public void setDefault(java.lang.String defaultCategory)

      Sets the default.
      Parameters:
        `defaultCategory` - the new default

    - #### getLastSavedSession

          public int getLastSavedSession()

      Gets the last saved session.
      Returns:
        the last saved session

    - #### setLastSavedSession

          public void setLastSavedSession(int lastSavedSession)

      Sets the last saved session.
      Parameters:
        `lastSavedSession` - the new last saved session

    - #### getLastSavedTime

          public java.util.Date getLastSavedTime()

      Gets the last saved time.
      Returns:
        the last saved time

    - #### setLastSavedTime

          public void setLastSavedTime(java.util.Date lastSavedTime)

      Sets the last saved time.
      Parameters:
        `lastSavedTime` - the new last saved time

    - #### getCategories

          public java.util.List<Category> getCategories()

      Gets the categories.
      Returns:
        the categories